Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.caff.maze
Interface PropertyInformation

All Known Implementing Classes:
  AbstractBasicMaze.DoubleDelayedPropertyInformation, AbstractBasicMaze.IntegerDelayedPropertyInformation, AbstractPropertyInformation, MazePropertyOwner.BooleanPropertyInformation, MazePropertyOwner.EnumPropertyInformation, MazePropertyOwner.InfoPropertyDisplay, MazePropertyOwner.IntegerPropertyInformation, MazePropertyOwner.PaintPropertyInformation

    public interface PropertyInformation

Information about a property. A property can be any property which can be any information which can be displayed to the user and posibly be set by the user.

Field Summary
`static java.lang.String` | `SHORT_DESCRIPTION_SUFFIX` The suffix used for short descritpions.

Method Summary
`void` | `forget()` Forget changed data in the property setter.
`java.lang.String` | `getLocalizedDescription()` Get a localized description of the property with the current default locale.
`java.lang.String` | `getLocalizedShortDescription()` Get a short localized description of the property with the current default locale.
`java.lang.String` | `getName()` Get the name of the property.
`java.lang.Object` | `getPropertyValue()` Get the current value of property.
`javax.swing.JComponent` | `getSetterComponent()` A component to set the property.
`boolean` | `isInformational()` Is the setter component just for display?

Field Detail

### SHORT_DESCRIPTION_SUFFIX

    static final java.lang.String SHORT_DESCRIPTION_SUFFIX

  The suffix used for short descritpions.

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Get the name of the property.

  Returns:
    property value

### getLocalizedDescription

    java.lang.String getLocalizedDescription()

  Get a localized description of the property with the current default locale.

  Returns:
    localized description

### getLocalizedShortDescription

    java.lang.String getLocalizedShortDescription()

  Get a short localized description of the property with the current default locale.

  Returns:
    localized short description or the standard localized description if no short description is defined
  See Also:
    `PropertyInformation.getLocalizedDescription()`

### getPropertyValue

    java.lang.Object getPropertyValue()

  Get the current value of property.

  Returns:
    property value

### getSetterComponent

    javax.swing.JComponent getSetterComponent()

  A component to set the property.

  Returns:
    setter component

### forget

    void forget()

  Forget changed data in the property setter.

### isInformational

    boolean isInformational()

  Is the setter component just for display?

  Returns:
    the answer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD